<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_101) on Fri Oct 21 15:02:57 EDT 2016 -->
<title>Piece</title>
<meta name="date" content="2016-10-21">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Piece";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../quarto/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../quarto/MaxSizeStack.html" title="class in quarto"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../quarto/Player.html" title="class in quarto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?quarto/Piece.html" target="_top">Frames</a></li>
<li><a href="Piece.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">quarto</div>
<h2 title="Class Piece" class="title">Class Piece</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>quarto.Piece</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">Piece</span>
extends java.lang.Object</pre>
<div class="block">The Piece class represents a piece on the Quarto game board. Each piece
 contains an icon, as well as 4 properties to differentiate itself from
 the other pieces.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>09/17/2016</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Frank</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../quarto/Color.html" title="enum in quarto">Color</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#color">color</a></span></code>
<div class="block">States whether the piece is blue or black.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../quarto/Hollow.html" title="enum in quarto">Hollow</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#hollow">hollow</a></span></code>
<div class="block">States whether the piece is hollow or not.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.ImageIcon</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#icon">icon</a></span></code>
<div class="block">The icon used to display the piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../quarto/Shape.html" title="enum in quarto">Shape</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#shape">shape</a></span></code>
<div class="block">States whether the piece is circular or square.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../quarto/Size.html" title="enum in quarto">Size</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#size">size</a></span></code>
<div class="block">States whether the piece is large or small.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../quarto/Piece.html#Piece-quarto.Hollow-quarto.Color-quarto.Shape-quarto.Size-javax.swing.ImageIcon-">Piece</a></span>(<a href="../quarto/Hollow.html" title="enum in quarto">Hollow</a>&nbsp;pHollow,
     <a href="../quarto/Color.html" title="enum in quarto">Color</a>&nbsp;pColor,
     <a href="../quarto/Shape.html" title="enum in quarto">Shape</a>&nbsp;pShape,
     <a href="../quarto/Size.html" title="enum in quarto">Size</a>&nbsp;pSize,
     javax.swing.ImageIcon&nbsp;pIcon)</code>
<div class="block">Instantiates a Quarto Piece with the given attributes, which will
 be represented on the game board with the given icon.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;pOther)</code>
<div class="block">Checks whether this Piece is equal to another object by looking at the 
 Strings produced by their toString() methods.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#equals-quarto.Piece-">equals</a></span>(<a href="../quarto/Piece.html" title="class in quarto">Piece</a>&nbsp;other)</code>
<div class="block">Checks whether this Piece is equal to another Piece by looking at the 
 Strings produced by their toString() methods.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../quarto/Color.html" title="enum in quarto">Color</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#getColor--">getColor</a></span>()</code>
<div class="block">Returns the color of the piece.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../quarto/Hollow.html" title="enum in quarto">Hollow</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#getHollow--">getHollow</a></span>()</code>
<div class="block">Returns whether the piece is hollow or not.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>javax.swing.ImageIcon</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#getIcon--">getIcon</a></span>()</code>
<div class="block">Returns the icon that represents the given piece on the game board.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../quarto/Shape.html" title="enum in quarto">Shape</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#getShape--">getShape</a></span>()</code>
<div class="block">Returns the shape of the piece.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../quarto/Size.html" title="enum in quarto">Size</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#getSize--">getSize</a></span>()</code>
<div class="block">Returns the size of the piece.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#setColor-quarto.Color-">setColor</a></span>(<a href="../quarto/Color.html" title="enum in quarto">Color</a>&nbsp;pColor)</code>
<div class="block">Sets the color of the piece to the given value.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#setHollow-quarto.Hollow-">setHollow</a></span>(<a href="../quarto/Hollow.html" title="enum in quarto">Hollow</a>&nbsp;pHollow)</code>
<div class="block">Sets the piece to the given value of hollow.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#setIcon-javax.swing.ImageIcon-">setIcon</a></span>(javax.swing.ImageIcon&nbsp;pIcon)</code>
<div class="block">Sets the piece's icon to a specified image.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#setShape-quarto.Shape-">setShape</a></span>(<a href="../quarto/Shape.html" title="enum in quarto">Shape</a>&nbsp;pShape)</code>
<div class="block">Sets the shape of the piece to the given value.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#setSize-quarto.Size-">setSize</a></span>(<a href="../quarto/Size.html" title="enum in quarto">Size</a>&nbsp;pSize)</code>
<div class="block">Sets the size of the piece to the given value.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#summary--">summary</a></span>()</code>
<div class="block">Retrieves a String summary of a single Quarto game piece.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Piece.html#toString--">toString</a></span>()</code>
<div class="block">Convert the Piece object to a String that represents the state of 
 the class.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="hollow">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hollow</h4>
<pre>private&nbsp;<a href="../quarto/Hollow.html" title="enum in quarto">Hollow</a> hollow</pre>
<div class="block">States whether the piece is hollow or not.</div>
</li>
</ul>
<a name="color">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>color</h4>
<pre>private&nbsp;<a href="../quarto/Color.html" title="enum in quarto">Color</a> color</pre>
<div class="block">States whether the piece is blue or black.</div>
</li>
</ul>
<a name="shape">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>shape</h4>
<pre>private&nbsp;<a href="../quarto/Shape.html" title="enum in quarto">Shape</a> shape</pre>
<div class="block">States whether the piece is circular or square.</div>
</li>
</ul>
<a name="size">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre>private&nbsp;<a href="../quarto/Size.html" title="enum in quarto">Size</a> size</pre>
<div class="block">States whether the piece is large or small.</div>
</li>
</ul>
<a name="icon">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>icon</h4>
<pre>private&nbsp;javax.swing.ImageIcon icon</pre>
<div class="block">The icon used to display the piece.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Piece-quarto.Hollow-quarto.Color-quarto.Shape-quarto.Size-javax.swing.ImageIcon-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Piece</h4>
<pre>public&nbsp;Piece(<a href="../quarto/Hollow.html" title="enum in quarto">Hollow</a>&nbsp;pHollow,
             <a href="../quarto/Color.html" title="enum in quarto">Color</a>&nbsp;pColor,
             <a href="../quarto/Shape.html" title="enum in quarto">Shape</a>&nbsp;pShape,
             <a href="../quarto/Size.html" title="enum in quarto">Size</a>&nbsp;pSize,
             javax.swing.ImageIcon&nbsp;pIcon)</pre>
<div class="block">Instantiates a Quarto Piece with the given attributes, which will
 be represented on the game board with the given icon.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pHollow</code> - is a Hollow enum that determines whether the Piece is 
 hollow or solid</dd>
<dd><code>pColor</code> - is a Color enum that determines whether the Piece is 
 blue or black</dd>
<dd><code>pShape</code> - is a Shape enum that determines whether the Piece is 
 round or square</dd>
<dd><code>pSize</code> - is a Size enum that determines whether the Piece is 
 small or big</dd>
<dd><code>pIcon</code> - is an ImageIcon that will be displayed on the game 
 board</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getHollow--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHollow</h4>
<pre>public&nbsp;<a href="../quarto/Hollow.html" title="enum in quarto">Hollow</a>&nbsp;getHollow()</pre>
<div class="block">Returns whether the piece is hollow or not.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Hollow.HOLLOW if hollow, or Hollow.SOLID if not</dd>
</dl>
</li>
</ul>
<a name="setHollow-quarto.Hollow-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHollow</h4>
<pre>public&nbsp;void&nbsp;setHollow(<a href="../quarto/Hollow.html" title="enum in quarto">Hollow</a>&nbsp;pHollow)</pre>
<div class="block">Sets the piece to the given value of hollow.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pHollow</code> - is either Hollow.SOLID or Hollow.HOLLOW</dd>
</dl>
</li>
</ul>
<a name="getColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColor</h4>
<pre>public&nbsp;<a href="../quarto/Color.html" title="enum in quarto">Color</a>&nbsp;getColor()</pre>
<div class="block">Returns the color of the piece.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Color.BLUE if it's blue, Color.BLACK if it's black</dd>
</dl>
</li>
</ul>
<a name="setColor-quarto.Color-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setColor</h4>
<pre>public&nbsp;void&nbsp;setColor(<a href="../quarto/Color.html" title="enum in quarto">Color</a>&nbsp;pColor)</pre>
<div class="block">Sets the color of the piece to the given value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pColor</code> - is either Color.BLUE or Color.BLACK</dd>
</dl>
</li>
</ul>
<a name="getShape--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShape</h4>
<pre>public&nbsp;<a href="../quarto/Shape.html" title="enum in quarto">Shape</a>&nbsp;getShape()</pre>
<div class="block">Returns the shape of the piece.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Shape.SQUARE if square, or Shape.ROUND if round</dd>
</dl>
</li>
</ul>
<a name="setShape-quarto.Shape-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setShape</h4>
<pre>public&nbsp;void&nbsp;setShape(<a href="../quarto/Shape.html" title="enum in quarto">Shape</a>&nbsp;pShape)</pre>
<div class="block">Sets the shape of the piece to the given value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pShape</code> - is either Shape.SQUARE or Shape.ROUND</dd>
</dl>
</li>
</ul>
<a name="getSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSize</h4>
<pre>public&nbsp;<a href="../quarto/Size.html" title="enum in quarto">Size</a>&nbsp;getSize()</pre>
<div class="block">Returns the size of the piece.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Size.SMALL if it's small, or Size.BIG if it's big</dd>
</dl>
</li>
</ul>
<a name="setSize-quarto.Size-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSize</h4>
<pre>public&nbsp;void&nbsp;setSize(<a href="../quarto/Size.html" title="enum in quarto">Size</a>&nbsp;pSize)</pre>
<div class="block">Sets the size of the piece to the given value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pSize</code> - is either Size.SMALL or Size.BIG</dd>
</dl>
</li>
</ul>
<a name="getIcon--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIcon</h4>
<pre>public&nbsp;javax.swing.ImageIcon&nbsp;getIcon()</pre>
<div class="block">Returns the icon that represents the given piece on the game board.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an ImageIcon object</dd>
</dl>
</li>
</ul>
<a name="setIcon-javax.swing.ImageIcon-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIcon</h4>
<pre>public&nbsp;void&nbsp;setIcon(javax.swing.ImageIcon&nbsp;pIcon)</pre>
<div class="block">Sets the piece's icon to a specified image.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pIcon</code> - is the ImageIcon object that will act as the piece's 
 icon on the game board</dd>
</dl>
</li>
</ul>
<a name="summary--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>summary</h4>
<pre>public&nbsp;java.lang.String&nbsp;summary()</pre>
<div class="block">Retrieves a String summary of a single Quarto game piece.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a 4-letter summary of the Quarto piece, with each letter
 standing for a particular feature.
 H = Hollow; S = Solid; B = Blue; L = Black; R = Round; Q = Square;
 G = Big; M = Small;</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Convert the Piece object to a String that represents the state of 
 the class.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a String object that contains the parameters of this piece</dd>
</dl>
</li>
</ul>
<a name="equals-quarto.Piece-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="../quarto/Piece.html" title="class in quarto">Piece</a>&nbsp;other)</pre>
<div class="block">Checks whether this Piece is equal to another Piece by looking at the 
 Strings produced by their toString() methods.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - is the other Piece object being compared to this Piece</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if they are equal, false otherwise</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;pOther)</pre>
<div class="block">Checks whether this Piece is equal to another object by looking at the 
 Strings produced by their toString() methods.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pOther</code> - is the other object being compared to this Piece</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if they are equal, false otherwise</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../quarto/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../quarto/MaxSizeStack.html" title="class in quarto"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../quarto/Player.html" title="class in quarto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?quarto/Piece.html" target="_top">Frames</a></li>
<li><a href="Piece.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
